package com.sun.corba.se.spi.activation;

import org.omg.CORBA.TypeCode;
import org.omg.CORBA.portable.OutputStream;
import org.omg.CORBA.portable.InputStream;
import org.omg.CORBA.portable.Streamable;

public final class RepositoryHolder implements Streamable
{
    public Repository value;
    
    public RepositoryHolder() {
        this.value = null;
    }
    
    public RepositoryHolder(Repository value) {
        this.value = null;
        this.value = value;
    }
    
    public void _read(InputStream inputStream) {
        this.value = RepositoryHelper.read(inputStream);
    }
    
    public void _write(OutputStream outputStream) {
        RepositoryHelper.write(outputStream, this.value);
    }
    
    public TypeCode _type() {
        return RepositoryHelper.type();
    }
}
